<div class="container">
  <div class="col-sm-5 col-sm-offset-2 mt-5" style="margin:auto;">
    <h3>Effectuer un virement instantané</h3>
    <form [formGroup]="transferForm"
          (ngSubmit)="onSubmitTransfer()">
        <div class="form-group mt-3">
            <label for="amount">Montant à tranférer :</label>
            <input type="text"
                   class="form-control"
                   id="amount"
                   formControlName="amount">
        </div>
        <div class="form-group mt-3">
            <label >Bénéficiaire du virement :</label>
          {{ beneficiary.name }}
        </div>
        <div class="form-group mt-3">
            <label >Donneur d'ordre :</label>
          {{ currentUser.name }}
        </div>
      <div class="d-flex flex-fill">
        <button class="btn btn-success mt-3 me-3"
                [disabled]="transferForm.invalid"
                type="submit" (click)="onSubmitTransfer()">Valider</button>
        <button class="btn btn-warning mt-3 flex-fill"
                type="submit" (click)="onRedirect()">Annuler</button>
      </div>
      </form>
  </div>
</div>
